Page Summary
-
This endpoint retrieves a list of YouTube references, either by specific reference IDs or by the references associated with a particular asset ID.
-
The request is made using a
GETHTTP method to the specified URL and can utilize query parameters to filter results, such asassetId,id,onBehalfOfContentOwner, andpageToken. -
The request body should be empty, while the response body will contain a paginated list of references in a JSON format, including fields like
kind,pageInfo,items, andnextPageToken. -
Authorization for this endpoint requires the OAuth scope:
https://www.googleapis.com/auth/youtubepartner.
Retrieves a list of references by ID or the list of references for the specified asset.
HTTP request
GET https://youtubepartner.googleapis.com/youtube/partner/v1/references
The URL uses gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
assetId |
The |
id |
The |
onBehalfOfContentOwner |
The |
pageToken |
The |
Request body
The request body must be empty.
Response body
A paginated list of resources returned in response to a references.list request.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "kind": string, "pageInfo": { object ( |
| Fields | |
|---|---|
kind |
The type of the API response. For this operation, the value is |
pageInfo |
The |
items[] |
A list of references that match the request criteria. |
nextPageToken |
The token that can be used as the value of the |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/youtubepartner
For more information, see the OAuth 2.0 Overview.